ALTER SESSION SET NLS_DATE_FORMAT = 'DD-MM-YYYY';

/* demoXNvgō쐬Ă\폜 */
DROP TABLE emp;
DROP TABLE dept;
DROP TABLE salgrade;
DROP TABLE bonus;
DROP TABLE temp_dept;
DROP TABLE temp_dept_2;
DROP TABLE test;
/*  Kō쐬\폜 */
DROP TABLE newemp;
DROP TABLE account;
DROP SEQUENCE deptseq;
PURGE recyclebin;

/* \쐬 */
CREATE TABLE DEPT (
 DEPTNO              NUMBER(2) NOT NULL,
 DNAME               varchar2(14),
 LOC                 varchar2(13));

INSERT INTO DEPT VALUES (10,'ACCOUNTING','NEW YORK');
INSERT INTO DEPT VALUES (20,'RESEARCH','DALLAS');
INSERT INTO DEPT VALUES (30,'SALES','CHICAGO');
INSERT INTO DEPT VALUES (40,'OPERATIONS','BOSTON');

CREATE TABLE EMP (
 EMPNO               NUMBER(4) ,
 ENAME               varchar2(10),
 JOB                 varchar2(9),
 MGR                 NUMBER(4),
 HIREDATE            DATE,
 SAL                 NUMBER(7,2),
 COMM                NUMBER(7,2),
 DEPTNO              NUMBER(2) );

INSERT INTO EMP VALUES (7369,'SMITH','CLERK',7902,TO_DATE('17-12-1980','DD-MM-YYYY'),800,NULL,20);
INSERT INTO EMP VALUES (7499,'ALLEN','SALESMAN',7698,TO_DATE('20-02-1981','DD-MM-YYYY'),1600,300,30);
INSERT INTO EMP VALUES (7521,'WARD','SALESMAN',7698,TO_DATE('22-02-1981','DD-MM-YYYY'),1250,500,30);
INSERT INTO EMP VALUES (7566,'JONES','MANAGER',7839,TO_DATE('02-04-1981','DD-MM-YYYY'),2975,NULL,20);
INSERT INTO EMP VALUES (7654,'MARTIN','SALESMAN',7698,TO_DATE('28-09-1981','DD-MM-YYYY'),1250,1400,30);
INSERT INTO EMP VALUES (7698,'BLAKE','MANAGER',7839,TO_DATE('01-05-1981','DD-MM-YYYY'),2850,NULL,30);
INSERT INTO EMP VALUES (7782,'CLARK','MANAGER',7839,TO_DATE('09-06-1981','DD-MM-YYYY'),2450,NULL,10);
INSERT INTO EMP VALUES (7788,'SCOTT','ANALYST',7566,TO_DATE('09-12-1982','DD-MM-YYYY'),3000,NULL,20);
INSERT INTO EMP VALUES (7839,'KING','PRESIDENT',NULL,TO_DATE('17-11-1981','DD-MM-YYYY'),5000,NULL,10);
INSERT INTO EMP VALUES (7844,'TURNER','SALESMAN',7698,TO_DATE('08-09-1981','DD-MM-YYYY'),1500,0,30);
INSERT INTO EMP VALUES (7876,'ADAMS','CLERK',7788,TO_DATE('12-01-1983','DD-MM-YYYY'),1100,NULL,20);
INSERT INTO EMP VALUES (7900,'JAMES','CLERK',7698,TO_DATE('03-12-1981','DD-MM-YYYY'),950,NULL,30);
INSERT INTO EMP VALUES (7902,'FORD','ANALYST',7566,TO_DATE('03-12-1981','DD-MM-YYYY'),3000,NULL,20);
INSERT INTO EMP VALUES (7934,'MILLER','CLERK',7782,TO_DATE('23-01-1982','DD-MM-YYYY'),1300,NULL,10);

CREATE TABLE BONUS (
 ENAME               CHAR(10),
 JOB                 CHAR(9),
 SAL                 NUMBER,
 COMM                NUMBER);

CREATE TABLE SALGRADE (
 GRADE               NUMBER,
 LOSAL               NUMBER,
 HISAL               NUMBER);

INSERT INTO SALGRADE VALUES (1,700,1200);
INSERT INTO SALGRADE VALUES (2,1201,1400);
INSERT INTO SALGRADE VALUES (3,1401,2000);
INSERT INTO SALGRADE VALUES (4,2001,3000);
INSERT INTO SALGRADE VALUES (5,3001,9999);


/* LIKEZq̃y[WŎgp\ */
create table temp_dept
(deptno number(2),
 dname varchar2(30),
 loc varchar2(20));

insert into temp_dept
values(10,'CUSTOMER_SUP','OSAKA');

insert into temp_dept
values(20,'CUSTOMER SERVICE','TOKYO');

/* KApŎgp\ */
create table temp_dept_2(
 DEPTNO              NUMBER(2) NOT NULL,
 DNAME               varchar2(14),
 LOC                 varchar2(13));

insert into temp_dept_2
values(10,'CSTMR_SUP','OSAKA');

insert into temp_dept_2
values(20,'CSTMR SERVICE','TOKYO');

insert into temp_dept_2
values(30,'CSTMR_%CENTER','NAGOYA');

insert into temp_dept_2
values(40,'CSTMR_CENTER','OKINAWA');

/* t^iCHAR^VARCHAR2^̈ႢjŎgp\ */
CREATE TABLE TEST
(COL_VARCHAR2 VARCHAR2(10),
COL_CHAR CHAR(10));

CREATE SEQUENCE deptseq
INCREMENT BY 10
START WITH 50;

ALTER SESSION SET NLS_DATE_FORMAT = 'RR-MM-DD';

SELECT * FROM tabs;
